%{?nodejs_find_provides_and_requires}

%global packagename backbone

Name: nodejs-%{packagename}0
Version: 0.9.10
Release: 1%{?dist}.3
Summary: Give your JS App some Backbone with Models, Views, Collections, and Events
License: MIT
URL: https://github.com/jashkenas/backbone
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(underscore) >= 1.4.3

%description
Backbone supplies structure to JavaScript-heavy applications
by providing models with key-value binding and custom events,
collections with a rich API of enumerable functions, views with
declarative event handling, and connects it all to your existing
application over a RESTful JSON interface.


%prep
%setup -q -n package


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}@0
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}@0

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'


%files
%license LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}@0

%changelog
* Tue Oct  4 2016 Oleg Girko <ol@infoserver.lv> - 0.9.10-1
- Initial package.
